Languages and Scripting
Showing results for 
Search instead for 
Do you mean 

Java 1.6 on HP-UX 11.23 fails with library load issue

SOLVED
Go to Solution
Highlighted
Visitor

Java 1.6 on HP-UX 11.23 fails with library load issue

[ Edited ]

Hello all,

 

Could you please help me to resove following situation. Starting from some of HP-UX patches I installed from bundle my Java6 installation is unable to work:

 

[/opt]#ll /opt/java6/bin/java
-r-xr-xr-x   1 bin        bin         110264 Mar 18 10:38 /opt/java6/bin/java

 

[/opt]#file /opt/java6/bin/java
/opt/java6/bin/java:    PA-RISC2.0 executable dynamically linked -not stripped

 

[/opt]#/opt/java6/bin/java
Error: could not find libjava.sl
Error: could not find Java 2 Runtime Environment.

 

I'm confused why *.sl library is being searched on IA64 platform while *.so library should be in this case.

Problem is only on 1 system (HP-UX 11.23 IA64). I checked several version of java6 (10,13,14,18) and all of them fail with same problem. In the same time binaries from folder /opt/java6/bin/IA64N and IA64W are working good:

 

[/opt]#/opt/java6/bin/IA64N/java -version
java version "1.6.0.18"
Java(TM) SE Runtime Environment (build 1.6.0.18-jinteg_18_mar_2013_03_35-b00)
Java HotSpot(TM) Server VM (build 20.14-b01-jre1.6.0.18-rc2, mixed mode)

 

Also I have no problems with same version of Java on 11.31 version of hp-ux.

 

Thanks in advance for your help.

 

P.S.

I installed all recommented patches (linker/Aries) for this version of Java.

 

 

P.S. This thread has been moved from HP-UX > General to HP-UX > languages - HP Forum Moderator

4 REPLIES
Acclaimed Contributor Acclaimed Contributor

Re: Java 1.6 on HP-UX 11.23 fails with library load issue

[ Edited ]

/opt/java6/bin/java:    PA-RISC2.0 executable dynamically linked -not stripped
>I'm confused why *.sl library is being searched on IA64 platform while *.so library should be in this case.

 

Because bin/java wrapper is a PA executable, whether you are on PA or Integrity.

>Problem is only on 1 system (11.23 IA64).

 

You need to find out why libjava.sl is missing from that system.

You can try the following on your system.  On 11.31 it shows it needs libjli.sl.

$ SDKROOT=/usr/ccs/pa ldd  /opt/java6/bin/java
 ...

       libjli.sl =>    /opt/java6/bin/../jre/lib/PA_RISC2.0/jli//libjli.sl

>binaries from folder /opt/java6/bin/IA64N and IA64W are working

 

Naturally, that bypasses the PA wrapper.

Visitor

Re: Java 1.6 on HP-UX 11.23 fails with library load issue

I have same picture for ldd command you've suggested on both 11.23 and 11.31 (libjli.sl is there in dependencies).

Library libjava.sl doesn't exist on both systems in /opt/java6 folder and this is my problem for 11.23 version.

Acclaimed Contributor Acclaimed Contributor

Re: Java 1.6 on HP-UX 11.23 fails with library load issue

[ Edited ]

>I have same picture for ldd command you've suggested on both 11.23 and 11.31

 

Looking more closely at the error message, indicates is isn't coming from dld.

 

>Library libjava.sl doesn't exist on both systems in /opt/java6 directory

 

Then you'll need to use tusc to see which process is producing the message.

Also, have you compared the environment variables between the two systems?

Visitor

Re: Java 1.6 on HP-UX 11.23 fails with library load issue

Thanks for you idea with tusc.

 

I found that on both 1123 and 1131 there is attempt to access folder /usr/include/ia64. On my 1123 system it was missing for some reason. Simply creating it (even empty) was enough to solve problem. Finally I copied it's content from over 1123 system to avoid problem in future.

 

Thanks again for your help.